# XW_EXT_COLORMAP Struct Reference

`#include <Xw_Extension.h>`

## Data Fields

void * | link
int | type
XW_EXT_DISPLAY * | connexion
Visual * | visual
XStandardColormap | info
XStandardColormap | ginfo
int | maxhcolor
int | maxucolor
int | maxcolor
int | maxwindow
Xw_TypeOfMapping | mapping
unsigned char | define [MAXCOLOR]
unsigned long | highpixel
unsigned long | backpixel
unsigned long | pixels [MAXCOLOR]

## Field Documentation

unsigned long XW_EXT_COLORMAP::backpixel

XW_EXT_DISPLAY* XW_EXT_COLORMAP::connexion

unsigned char XW_EXT_COLORMAP::define[MAXCOLOR]

XStandardColormap XW_EXT_COLORMAP::ginfo

unsigned long XW_EXT_COLORMAP::highpixel

XStandardColormap XW_EXT_COLORMAP::info

void* XW_EXT_COLORMAP::link

Xw_TypeOfMapping XW_EXT_COLORMAP::mapping

int XW_EXT_COLORMAP::maxcolor

int XW_EXT_COLORMAP::maxhcolor

int XW_EXT_COLORMAP::maxucolor

int XW_EXT_COLORMAP::maxwindow

unsigned long XW_EXT_COLORMAP::pixels[MAXCOLOR]

int XW_EXT_COLORMAP::type

Visual* XW_EXT_COLORMAP::visual

The documentation for this struct was generated from the following file:

- Xw_Extension.h